/*
 * Paraselene
 * Copyright (c) 2009-2011  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene.ajax.data;

import paraselene.*;

public class JavaScript extends PlainText {
	private static final long serialVersionUID = 2L;
	private JavaScript(){}
	public JavaScript( String ... script ) {
		super( "" );
		appendWithCRLF( script );
	}

	public String toString( StringMode mode ) {
		StringBuilder	buf = new StringBuilder( "<!--//--><![CDATA[//><!--\r\n" );
		buf = buf.append( toString() );
		buf = buf.append( "//--><!]]>\r\n" );
		return buf.toString();
	}

	public String toString() {
		return super.toString( StringMode.PLAIN );
	}
}

